package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumCouponMerchantStatus {

    // 0-有效;1-无效;
    COUPON_MERCHANT_STATUS_VALID(0, "有效"),
    COUPON_MERCHANT_STATUS_INVALID(1, "无效"),
    ;

    public static EnumCouponMerchantStatus getEnum(Integer code) {
        for (EnumCouponMerchantStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCouponMerchantStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
